import * as react_jsx_runtime from 'react/jsx-runtime';
import * as React from 'react';

declare const THEME_STORAGE_KEY = "sm2-theme";
type AppTheme = "light" | "dark";
interface AppThemeContextValue {
    theme: AppTheme;
    resolvedTheme: AppTheme;
    setTheme: (theme: AppTheme) => void;
}
declare function AppThemeProvider({ children, }: {
    children: React.ReactNode;
}): react_jsx_runtime.JSX.Element;
declare function useTheme(): AppThemeContextValue;

export { type AppTheme, AppThemeProvider, THEME_STORAGE_KEY, useTheme };
